import { VantComponent } from '../vant-ui/common/component'

VantComponent({
  props: {
    placeholder: String,
    disabled: Boolean
  },
  methods: {
    bindconfirm (e) {
      const { value } = e.detail
      this.triggerEvent('search', value)
    },
    bindinput (e) {
      this.triggerEvent('input', e.detail.value)
    }
  }
})
